.all {
  .my-hover {
    &:hover {
      cursor: pointer;
    }
  }

  .navbar-style {
    height: 80px;
    //padding: 20px;
  }

  .input-search {
    border: solid 1px #B1AADF;
  }

  .my-border {
    border: solid 1px #B1AADF;
  }

  .my-radius-buttons {
    border-radius: 8px;
  }

  .my-bg-button {
    padding: 5px;
    background-color: #6C5DD4;
    color: white;
    border-radius: 8px;
  }

  .my-bg {
    background-color: #6C5DD4;
    color: white;
  }

  .my-color {
    color: #6C5DD4;
  }

  .my-w-button {
    border-radius: 8px;
    padding: 5px;
    color: #6C5DD4;
    background-color: white;
    border: 1px solid #6C5DD4;
  }

  .carousel-caption {
    margin-left: -33px;
    color: white;
    width: 50%;
    //background-color: rgba(163, 149, 239, 0.32);
    backdrop-filter: blur(5px);
    border-radius: 20px;
  }

  .carousel-caption2 {
    position: absolute;
    margin-top: -100px;
    color: black;
    width: 100%;
    font-size: 14px;
    text-align: center;
  }

  .carousel {
    border-radius: 30px;
  }

  .img-carousel {
    //border: #6C5DD4 1px solid;
    border-radius: 20px !important;
    height: 300px;
  }

  .img-carousel2 {
    width: 100%;
    background-position: center;
    background-size: 100% auto;
    border-radius: 20px !important;
  }
  @media screen and (max-width: 400px)  {
    .img-carousel2{
      height: 120px;
    }
    .carousel-caption{
      font-size: 8px;
    }
  }
  @media screen and (min-width: 400px)  {
    .img-carousel2{
      height: 150px;
    }
    .carousel-caption{
      font-size: 10px;
    }
  }
  @media screen and (min-width: 500px)  {
    .img-carousel2{
      height: 180px;
    }
  }
  @media screen and (min-width: 700px)  {
    .img-carousel2{
      height: 250px;
    }
  }
  @media screen and (min-width: 900px)  {
    .img-carousel2{
      height: 330px;
    }
  }
  @media screen and (min-width: 1200px)  {
    .img-carousel2{
      height: 350px;
    }
  }
  @media screen and (min-width: 1400px)  {
    .img-carousel2{
      height: 430px;
    }
  }

  .special-card-img {
    border: solid #000 0.5px;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    background-size: auto 100%;
    background-position: center;
  }

  .special-card-img2 {
    border-radius: 8px;
    background-size: 100% auto;
    background-position: center;
    background-repeat: no-repeat;
    background-color: #f2f2f3;
  }

  .categories {
    border-radius: 8px;
    //font-size: 15px;
    font-weight: 600;
    background-color: #D7D0FB;
    color: #6C5DD4;
  }

  .special-card {
    padding: 10px;
  }

  .special-card-description {
    //width : 90%;
    height: 80px;
    overflow-x: auto;
  }

  .special-card-price {

  }

  .special-card-author {
    margin-top: 10px;
  }

  .special-card-body {
    background-color: #F2F0FE;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
    h5 {
      font-family: "Times New Roman";
      font-size: 40px;
    }
  }

  .special-card-body2 {
    background-color: #F2F0FE;
    border-top-right-radius: 8px;
    border-bottom-right-radius: 8px;

    h5 {
      font-family: "Times New Roman";
    }
  }

  .my-border-color {
    border: #6C5DD4 solid 1px;
  }

  .no-link {
    text-decoration: none;
  }

  .no-link-color {
    color: #6C5DD4;
    text-decoration: none;
  }
  .no-link-white {
    color: #ffffff;
    text-decoration: none;
  }

  .line-price {
    position: absolute;
    margin-top: -20px;
    width: 60px;
    height: 2px;
    background-color: darkgray;
    transform: rotate(-6.35deg);
  }

  .my-scroll {
    overflow-x: auto;
    transition-duration: 1s;
    scroll-behavior: smooth;
    scroll-snap-type: x mandatory;
  }

  .my-scroll::-webkit-scrollbar {
    width: 100px;
    height: 5px;
  }

  .my-scroll::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px grey;
    border-radius: 10px;
  }

  .my-scroll::-webkit-scrollbar-thumb {
    background: #6C5DD4;
    border-radius: 10px;
  }
  .my-scroll::-webkit-scrollbar-thumb:hover {
    background: #a99ef6;
  }

  .my-bg-card {
    background-color: #F1EEFF;
    border-radius: 8px;
  }

  .my-scroll-y {
    overflow-y: auto;
    background-color: rgba(236, 233, 233, 0.48);
    height: 600px;
    border-radius: 10px;

    &::-webkit-scrollbar-thumb {
      background: #6C5DD4;
      border-radius: 10px;
    }

    &::-webkit-scrollbar-track {
      box-shadow: inset 0 0 5px grey;
      border-radius: 10px;
    }

    &::-webkit-scrollbar {
      width: 5px;
      height: 5px;
    }
  }

  .my-scroll-y2 {
    overflow-y: auto;
    background-color: rgba(236, 233, 233, 0.48);
    height: 400px;
    border-radius: 10px;

    &::-webkit-scrollbar-thumb {
      background: #6C5DD4;
      border-radius: 10px;
    }

    &::-webkit-scrollbar-track {
      box-shadow: inset 0 0 5px grey;
      border-radius: 10px;
    }

    &::-webkit-scrollbar {
      width: 5px;
      height: 5px;
    }
  }

  .discount {
    width: 100px;
    height: 50px;
    margin-top: 30px;
    border-bottom-right-radius: 50px;
    border-top-right-radius: 50px;
    background-color: #FF9F5A;
    text-align: center;
    justify-content: center;
    align-items: center;
    color: white;
    font-family: Times New Roman;
    font-size: 30px;
    font-weight: 700;
    line-height: 52px;
    z-index: 10;
  }

  .input-label {
    border-radius: 8px;
    background-color: #D3CCFF;
    border: #B1AADF solid 1px;
    padding: 10px;
  }
}
  .input-style {
    border-radius: 8px;
    border: #B1AADF solid 1px;
    padding: 10px;
  }
  .loading{
    position: fixed;
    height: 100%;
    width: 100%;
    background-color: rgba(108, 93, 212, 0.51);
    z-index: 100;
  }
  .search-list{
    border-bottom: #6C5DD4 solid 0.5px;
    padding: 10px;
  }

.my-scroll-auto {
  overflow-x: auto;
  overflow-y: auto;
  transition-duration: 1s;
  scroll-behavior: smooth;
  scroll-snap-type: x mandatory;
}

.my-scroll-auto::-webkit-scrollbar {
  width: 1px;
  height: 1px;
}

.my-scroll-auto::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px grey;
  border-radius: 1px;
}

.my-scroll-auto::-webkit-scrollbar-thumb {
  background: #6C5DD4;
  border-radius: 1px;
}
.my-scroll-auto::-webkit-scrollbar-thumb:hover {
  background: #a99ef6;
}
.userLogin{
  background-color: white;
  width: 100%;
  height: 100%;
  .loginMain{

  }
}
